#!/bin/bash

set -eux

t=$(date)
for i in 1 4 10 29 30 31 40 ; do
    for o in 1 4 10 29 30 31 40 ; do
	r=$(echo "${t}" | ./elbestream -i $i -o $o -- /usr/bin/cat \
				  ---- /usr/bin/cat %f)
	if [[ "${r}" != "${t}" ]] ; then
	    echo >&2 FAIL
	    exit 9
	fi
	r=$(echo "${t}" | ./elbestream -i $i -o $o -m 1 -- /bin/false \
				  ---- /usr/bin/cat %f)
	if [[ "${r}" != "${t}" ]] ; then
	    echo >&2 FAIL
	    exit 9
	fi
    done
done
